#!%BASH%
function help()
{
    echo "Usage: $0 /path/to/homes/base [--perform]" >&2
    echo "    --perform : really fix permissions"
    echo "Example:" >&2
    echo "  $0 /data/home" >&2
    exit
}

if [ $# -lt 1 ]; then
    echo "*** Error *** $0 takes at least 1 argument" >&2
    help
fi

if [ `echo $1 | grep /$` ]; then
    regex="$1././[^/]+$"
else
    regex="$1/././[^/]+$"
fi
if [ "$2" = "--perform" ]; then
    find $1 -type d  | egrep $regex | xargs chmod +t
else
    echo "Here are the files that would be chmod'ed +t :"
    echo ""
    find $1 -type d  | egrep $regex
fi
