#!/usr/bin/perl

################################################
# This is autobuilder for vhffs-packages
# 
#
#
################################################

# CONF
################

# Turn it into 1 if you use dput to manage your packages.
my $local_dput = 1;





###################################
# Dont touch any line below this
###################################
use strict;
use File::Copy;

opendir( DIR , "." ) or die("cannot open current directory");
my @dirs = readdir( DIR );
my $dir;

system( "rm -f /tmp/packages/*" ) if( -d "/tmp/packages" );
mkdir( "/tmp/packages" ) if( ! -d "/tmp/packages" );

foreach $dir (@dirs)
{
	if( -d $dir )
	{
		if( ( -f $dir."/build" ) && ( -x $dir."/build" ) )
		{
			
			print "Build package in directory $dir\n";
			system( "cd $dir && ./build && cd .." );

			if( ( defined $local_dput) && ( $local_dput == 1 ) )
			{
				if( -x "/usr/bin/dput" )
				{
					system("cp $dir/output/* /tmp/packages");
				}
			}
			print "\n";
		}
	}
}
closedir( DIR );

if( ( defined $local_dput) && ( $local_dput == 1 ) )
{
	if( -x "/usr/bin/dput" )
	{
		system("dput local /tmp/packages/*.changes");
	}
}
