#!%PERL%
# Copyright (c) vhffs project and its contributors
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
#
# 1. Redistributions of source code must retain the above copyright 
#   notice, this list of conditions and the following disclaimer.
#2. Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in 
#   the documentation and/or other materials provided with the 
#   distribution.
#3. Neither the name of vhffs nor the names of its contributors 
#   may be used to endorse or promote products derived from this 
#   software without specific prior written permission.
#
#THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
#"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
#LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
#FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
#COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
#INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
#BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
#LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
#CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.

#This robot create cron jobs
#It actives it

# FIXME : This robot is unnecessary, we just have to activate the cron job on creation

use strict;
use utf8;

use lib '%VHFFS_LIB_DIR%';
use Vhffs::Services::Cron;
use Vhffs::Robots;
use Vhffs::Main;


my $vhffs = init Vhffs::Main;
exit 1 unless defined $vhffs;

Vhffs::Robots::lock( $vhffs , 'cron' );

my $crons = Vhffs::Services::Cron::getall( $vhffs , Vhffs::Constants::WAITING_FOR_CREATION );

foreach my $c ( @{$crons} )
{
	$c->set_status( Vhffs::Constants::ACTIVATED );
	if( $c->commit > 0 )
	{
		Vhffs::Robots::vhffs_log( sprintf( 'Created cron job %s' , $c->get_cronpath ) , $vhffs);
		$c->add_history( 'Robots activated this cron job' );
	}
	else
	{
		Vhffs::Robots::vhffs_log( sprintf( 'Cannot create cron job %s' , $c->get_cronpath ) , $vhffs);
	}
}

Vhffs::Robots::unlock( $vhffs , 'cron' );
exit 0;
