#!%PERL%
# Copyright (c) vhffs project and its contributors
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met:
#
# 1. Redistributions of source code must retain the above copyright 
#   notice, this list of conditions and the following disclaimer.
#2. Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in 
#   the documentation and/or other materials provided with the 
#   distribution.
#3. Neither the name of vhffs nor the names of its contributors 
#   may be used to endorse or promote products derived from this 
#   software without specific prior written permission.
#
#THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
#"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
#LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
#FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
#COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
#INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
#BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
#LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
#CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.

#This bots send mailings to all hosted people

use strict;
use utf8;
use lib '%VHFFS_LIB_DIR%';
use Vhffs::Main;
use Vhffs::User;
use Vhffs::Functions;
use Vhffs::Robots::Mailing;
use Vhffs::Robots::User;
use Vhffs::Robots;
use Vhffs::Constants;
binmode STDOUT , ':utf8';

my $vhffs = init Vhffs::Main;
exit 1 unless defined $vhffs;

my $mailings = Vhffs::Robots::Mailing::getall_mailings( $vhffs );
exit 0 unless defined $mailings;

my $from = $vhffs->get_config->get_master_mail;
die "Cannot send mailing, From: (master mail) is not declared in config file" unless $from;

Vhffs::Robots::lock( $vhffs , "mailings" );

my $users = Vhffs::User::getall( $vhffs , undef );

foreach my $idm ( keys %{$mailings} )
{
	next unless ( defined $mailings->{$idm}{subject} && defined $mailings->{$idm}{message} );

	foreach my $user ( @{$users} )
	{
		next unless defined $user;
		Vhffs::Functions::send_mail( $vhffs , $from , $user->get_mail , $vhffs->get_config->get_mailtag , $mailings->{$idm}{subject} , $mailings->{$idm}{message} , 'bulk' );
	}

	my $query = "UPDATE vhffs_mailings SET state='".Vhffs::Constants::ACTIVATED."' WHERE id_mailing='".$idm."'";
	my $request = $vhffs->get_db_object->prepare( $query );
	$request->execute or print ( "error" );
}

Vhffs::Robots::unlock( $vhffs , "mailings" );

exit( 0 );
